Aktualisierung Apache-Webserver auf Version 2.4

13.02.2015 von Markus Hagge (Kommentare: 0)

Am Mittwoch, 18.02.2015 wird auf unseren Webservern ein Update des Webservers Apache auf die Version 2.4 erfolgen. Damit gehen zahlreiche Änderungen im Vergleich zur bisher eingesetzten Version 2.2 einher, dennoch sollten sich durch das Update auf die neue Version im Regelfall keinerlei Auswirkungen auf die Funktionalität oder Verfügbarkeit Ihrer Web-Anwendungen ergeben.

Wann erfolgt das Update?

Das Update wird am Mittwoch, 18.02.2015 um 7:00 Uhr vollautomatisch durchgeführt, es ist also keinerlei manuellesEingreifen von Ihnen erforderlich.

Gibt es Beeinträchtigungen für meine Webseiten?

Durch den durch das Update erforderlichen Neustart des Webservers wird es zu einer sehr kurzen Nichterreichbarkeit Ihrer Webseiten von ca. 10 Sekunden kommen. Ansonsten ergeben sich keinerlei Betriebsunterbrechungen

Was ist neu bei Apache 2.4?

Mit der neuen Apache-Version stehen zahlreiche neue Funktionen und Verbesserungen im Vergleich zur bisher eingesetzten Version zur Verfügung. Insbesondere ergibt sich durch die neue Version ein allgemeiner Gewinn an Leistungsfähigkeit, so dass in vielen Fällen Ihre Web-Anwendungen noch schneller als bisher ausgeliefert werden können.
 
 
Weitergehende Informationen zu Apache 2.4 finden Sie bei Bedarf auf der Hersteller-Webseite:
 
 
Empfohlene Anpassungen
 
=========
mod_filter:
=========
 
Die Syntax bei "mod_filter: FilterProvider" wurde geändert und verwendet nun einen booleschen Ausdruck, ob ein Filter angewendet wird.
 
So muss z.B. aus FilterProvider COMPRESS DEFLATE resp=Content-Type $text/html  der neue Eintrag  FilterProvider COMPRESS DEFLATE "%{CONTENT_TYPE} = 'text/html'" werden.
 
 
============
Access control:
============
 
Eine der Neuerungen betrifft die Direktiven zur "Access control", über die beispielsweise der Zugriff auf einzelne Verzeichnisse durch Suchmaschinen geregelt werden kann. Die bislang genutzte Schreibweise funktioniert weiterhin, es wird aber eine Aktualisierung auf die veränderte Schreibweise empfohlen.
 
Im folgenden Beispiel werden alle Zugriffe über die Domain "example.org" erlaubt, von allen anderen Hosts aber abgewiesen:
 
Apache 2.2 (alt):
 
Order Deny,Allow
Deny from all
Allow from example.org
 
Apache 2.4 (neu)
Require host example.org
 
Wenn ein Problem auftritt?
Sofern es im Einzelfall doch zu Problemen kommen sollten finden Sie im CGI-Debugger (erreichbar in Ihrem Kundenmenü) ein Tool, um Fehler analysieren zu können. Die neue Apache-Version bietet in vielen Fällen detailliertere Angaben zu Fehlern und wie diese beseitigt werden können.
 
In den allermeisten Anwendungsfällen sind durch die Aktualisierung des Apache-Webservers keinerlei Beeinträchtigungen zu erwarten. Sollten jedoch Komplikationen auftreten, so unser Support Ihnen selbstverständlich jederzeit gerne mit Rat und Tat zur Seite

Zurück